| Home | Libraries | People | FAQ | More

## Function template ierase_first

boost::algorithm::ierase_first — Erase first algorithm ( case insensitive ).

## Synopsis

    template<typename SequenceT, typename RangeT>
      void ierase_first(SequenceT & Input, const RangeT & Search,
                        const std::locale & Loc = std::locale());

## Description

Remove the first occurrence of the substring from the input. The input sequence is modified in-place. Searching is case insensitive.

Parameters: |
`Input` | An input string
`Loc` | A locale used for case insensitive comparison
`Search` | A substring to be searched for